Skip to content

Complete Multipart Upload Tier 3

POST/api/files/:id/upload.completeCopied!

Completes a multipart file upload.

For typical file uploads, use the SDK-managed files.upload helper instead of calling this endpoint directly. See Upload files.

Endpoint not callable from CLI

The CLI handles local file uploads automatically through the SDK files.upload helper. You cannot call this endpoint directly from the CLI.

Example

ts
await client.files.completeUpload("FX1234567890ABCD", {
  parts: [
    {
      partNumber: 1,
      eTag: "etag-from-upload-response",
    },
  ],
});
bash
youvico file upload.file --project=bdbff5de-96d7-468f-9db0-85fe28bd6b62 --path=./launch-cut.mp4 --name=launch-cut.mp4
bash
curl -X POST 'https://api.youvico.com/api/files/FX1234567890ABCD/upload.complete' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{ "parts": [{ "partNumber": 1, "eTag": "etag-from-upload-response" }] }'

Request

Path

idstringrequired
File ID

Body

partsarrayrequired
Completed upload parts
parts[].partNumbernumberrequired
Part number
parts[].eTagstringrequired

1–255 characters

ETag returned by the storage provider

Response

Returns 204 No Content.